package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;
import java.util.Date;


/**
 * 移动执法信息-企业核查对象 b_main_factory_verification
 *
 * @author szhpt
 * @date 2023-03-30*/
@ApiModel(value = "移动执法信息-企业核查")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_main_factory_verification")
public class BMainFactoryVerification extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "id")
    /** id */
    @TableId(value = "id",type = IdType.AUTO)
    private String id;


    @ApiModelProperty(value = "任务名称")
    /** 任务名称 */
    @Excel(name = "任务名称")
    private String taskName;


    @ApiModelProperty(value = "任务来源")
    /** 任务来源 */
    @Excel(name = "任务来源")
    private String taskSource;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "企业名称")
    /** 企业名称 */
    @Excel(name = "企业名称")
    private String factoryName;


    @ApiModelProperty(value = "企业地址")
    /** 企业地址 */
    @Excel(name = "企业地址")
    private String factoryAddress;


    @ApiModelProperty(value = "所属区域")
    /** 所属区域 */
    @Excel(name = "所属区域")
    private String area;


    @ApiModelProperty(value = "统一社会信用代码")
    /** 统一社会信用代码 */
    @Excel(name = "统一社会信用代码")
    private String creditCode;


    @ApiModelProperty(value = "当前办理人")
    /** 当前办理人 */
    @Excel(name = "当前办理人")
    private String handlePerson;


    @ApiModelProperty(value = "完成时间")
    /** 完成时间 */
    @Excel(name = "完成时间")
    private String completeTime;


    @ApiModelProperty(value = "核查内容")
    /** 核查内容 */
    @Excel(name = "核查内容")
    private String verificationContent;


    @ApiModelProperty(value = "核查时间")
    /** 核查时间 */
    @Excel(name = "核查时间")
    private String verificationTime;


    @ApiModelProperty(value = "任务状态;任务状态（0=办理中 4=已交办 5=已办结 9=已归档）")
    /** 任务状态;任务状态（0=办理中 4=已交办 5=已办结 9=已归档） */
    @Excel(name = "任务状态;任务状态", readConverterExp = "0==办理中,4==已交办,5==已办结,9==已归档")
    private String taskStatus;


    @ApiModelProperty(value = "企业类型;1 涉水 2涉气 3固废 4其他")
    /** 企业类型;1 涉水 2涉气 3固废 4其他 */
    @Excel(name = "企业类型;1 涉水 2涉气 3固废 4其他")
    private String factoryType;


    @ApiModelProperty(value = "是否现场执法;0 否 1 是")
    /** 是否现场执法;0 否 1 是 */
    @Excel(name = "是否现场执法;0 否 1 是")
    private String isLawEnforcement;


    @ApiModelProperty(value = "下达隐患提示函;0 否 1 是")
    /** 下达隐患提示函;0 否 1 是 */
    @Excel(name = "下达隐患提示函;0 否 1 是")
    private String isHiddenDangerReminder;


    @ApiModelProperty(value = "是否存在问题;0 否 1 是")
    /** 是否存在问题;0 否 1 是 */
    @Excel(name = "是否存在问题;0 否 1 是")
    private String isProblem;

    @ApiModelProperty(value = "执法人员名称")
    /** 执法人员名称 */
    @Excel(name = "执法人员名称")
    private String lawEnforcementPerson;

    @ApiModelProperty(value = "执法小结")
    /** 执法小结 */
    @Excel(name = "执法小结")
    private String enforcementSummary;

    @ApiModelProperty(value = "证据清单")
    /** 证据清单 */
    @Excel(name = "证据清单")
    private String evidenceList;

    @ApiModelProperty(value = "备注")
    /** 备注 */
    @Excel(name = "备注")
    private String remark;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("taskName", getTaskName())
            .append("taskSource", getTaskSource())
            .append("factoryId", getFactoryId())
            .append("factoryName", getFactoryName())
            .append("factoryAddress", getFactoryAddress())
            .append("area", getArea())
            .append("creditCode", getCreditCode())
            .append("handlePerson", getHandlePerson())
            .append("completeTime", getCompleteTime())
            .append("verificationContent", getVerificationContent())
            .append("verificationTime", getVerificationTime())
            .append("taskStatus", getTaskStatus())
            .append("factoryType", getFactoryType())
            .append("isLawEnforcement", getIsLawEnforcement())
            .append("isHiddenDangerReminder", getIsHiddenDangerReminder())
            .append("isProblem", getIsProblem())
            .append("enforcementSummary", getEnforcementSummary())
            .append("remark", getRemark())
            .append("evidenceList", getEvidenceList())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
